Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.util
Class DefaultErrorListener

    java.lang.Object
      org.apache.fop.util.DefaultErrorListener

All Implemented Interfaces:
  javax.xml.transform.ErrorListener

    public class DefaultErrorListener

extends java.lang.Object
implements javax.xml.transform.ErrorListener

Standard ErrorListener implementation for in-FOP use. Some Xalan-J versions don't properly re-throw exceptions.

Constructor Summary
`DefaultErrorListener(org.apache.commons.logging.Log log)` Main constructor

Method Summary
`void` | `error(javax.xml.transform.TransformerException exc)`
`void` | `fatalError(javax.xml.transform.TransformerException exc)`
`void` | `warning(javax.xml.transform.TransformerException exc)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultErrorListener

    public DefaultErrorListener(org.apache.commons.logging.Log log)

  Main constructor

  Parameters:
    `log` - the log instance to send log events to

Method Detail

### warning

    public void warning(javax.xml.transform.TransformerException exc)

  Specified by:
    `warning` in interface `javax.xml.transform.ErrorListener`

### error

    public void error(javax.xml.transform.TransformerException exc)
               throws javax.xml.transform.TransformerException

  Specified by:
    `error` in interface `javax.xml.transform.ErrorListener`
  Throws:
    `javax.xml.transform.TransformerException`

### fatalError

    public void fatalError(javax.xml.transform.TransformerException exc)
                    throws javax.xml.transform.TransformerException

  Specified by:
    `fatalError` in interface `javax.xml.transform.ErrorListener`
  Throws:
    `javax.xml.transform.TransformerException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.